{ config, pkgs, lib, ... }:

{

  imports = [
    ./firefox.nix
    ./gpg.nix
    ./ssh.nix
    ./scripts.nix
    ./webapps.nix
    ./vim.nix
    ./git.nix
    ./waybar.nix
    ./psql.nix
    ./android-studio.nix
    ./mako.nix
    ./redshift.nix
    ./alacritty.nix
    ./shell.nix
    ./swaylock.nix
    ./kanshi.nix
  ];
  home-manager.users.fhauser.home.packages = with pkgs;
    [ # Networking
      unison
      transmission # GUI Tools, maybe extract...
    ] ++ [ # Desktop Environment Applications
      google-chrome
      chromium
      #midori  # TODO: Currently unused
      #qutebrowser  # TODO: Currently unused
      gnome3.evolution # TODO: Suport for plugins with 21.05
      #evolution-ews
      synergy
      #quicksynergy # Currently unused
      nextcloud-client
      owncloud-client
    ] ++ [ # office # TODO: Migrate to office.nix
      # TODO: Build fails!
      libreoffice-fresh # TODO: Dictionaries, nixos/nixpkgs#14430
      #      pdfgrep
      #      pdftk
      #      calibre
      tectonic
      #      texstudio
      #      pandoc
      #      system-config-printer
      #      cups-pk-helper
      #      cups-bjnp
      #      gutenprint
      #      gutenprintBin
      #      hplipWithPlugin
      simple-scan
      gnome3.gnome-online-accounts
      gnome3.gnome-control-center
    ] ++ [ # Communication
      signal-desktop
      tdesktop
      discord
      mattermost-desktop
      # pidgin pidgin-otr pidgin-with-plugins #TODO: Pidgin needed?
      #TODO: ekiga?
      skype
      slack
      teams
      jitsi-meet-electron
      teamviewer
      rdesktop
      vmware-horizon-client
    ] ++ [ # Development
      vscodium
      gitlab-runner
      docker-compose
      vagrant
      virt-manager
    ];
}
