{ pkgs, lib, config, ... }: {
  home-manager.users.fhauser.services.kanshi = {
    enable = true;
    profiles = let
      backgroundPicturePath = "~/pictures/backgrounds";
      backgroundCommand = ''
        #swaymsg "output * bg `find ${backgroundPicturePath} -type f | shuf -n 1` fill"
      '';
      mkScreen = (screen: {
        criteria = screen;
        status = "enable";
        scale = 1.0;
      });
    in rec {
      #mobile.exec = backgroundCommand;
      mobile.outputs = [
        (mkScreen "Unknown 0x08CE 0x00000000" // {
          position = "0,0";
          scale = 2.0;
        })
      ];
      home-dock.outputs = mobile.outputs ++ [
        (mkScreen "Dell Inc. DELL P2720DC 22JPK53" // {
          position = "1920,0";
          scale = 1.0;
          status = "enable";
        })
      ];
      office-dock.outputs = mobile.outputs ++ [
        (mkScreen "Dell Inc. DELL P2720DC BRKPK53" // { position = "1920,0"; })
        (mkScreen "Dell Inc. DELL P2720DC 22JPK53" // { position = "4480,0"; })
      ];
      home-pc.outputs = [
        (mkScreen "Dell Inc. DELL P2720DC 22JPK53" // { position = "0,0"; })
        (mkScreen "Unknown HP Z27 CN482201RP" // {
          position = "2560,0";
          scale = 1.5;
        })
      ];
      home-pc-row.outputs = home-pc.outputs ++ [
        (mkScreen "Ancor Communications Inc ASUS VS247 B3LMTF180900" // {
          position = "5120,0";
        })
      ];
    };
  };
}
